﻿using igGridTotalRecordsCount.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igGridTotalRecordsCount.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        [ActionName("GridGetData")]
        public ActionResult GridGetData()
        {

            List<Products> list = new List<Products>();
            list.Add(new Products() { ProductID = 1, Name = "Product " + 1, ListPrice = 1 });
            list.Add(new Products() { ProductID = 2, Name = "Product " + 2, ListPrice = 2 });
            
            DataModel model = new DataModel() { Records = list, TotalRecordsCount = 20 };


            JsonResult result = new JsonResult();
            result.Data = model;

            result.JsonRequestBehavior = JsonRequestBehavior.AllowGet;
            return result;
        }
    }
}